=== samples/CustomType/CMakeLists.txt ===
add_executable(CustomType Main.cpp)
target_link_libraries(CustomType plog)
set_target_properties(CustomType PROPERTIES FOLDER Samples)
