=== samples/MultiInstance/CMakeLists.txt ===
add_executable(MultiInstance Main.cpp)
target_link_libraries(MultiInstance plog)
set_target_properties(MultiInstance PROPERTIES FOLDER Samples)
