=== debian/changelog ===
plog (1.1.10-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 12 Apr 2025 11:29:56 +0200

plog (1.1.10-1) unstable; urgency=medium

  * Initial release. (Closes: #1098410)

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 22 Feb 2025 16:52:34 +0100
