=== debian/watch ===
version=4

opts="pgpmode=none" \
https://github.com/SergiusTheBest/plog/tags .*/[vV]?(\d[^\s+]+)\.tar\.gz \
  debian uupdate
