## plog 1.1.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
-cmake_minimum_required(VERSION 3.0)
+if(${CMAKE_VERSION} VERSION_LESS 3.27.0)
+    cmake_minimum_required(VERSION 3.0)
+else()
+    cmake_minimum_required(VERSION 3.27)
+endif()
 
-project(plog VERSION 1.1.10 LANGUAGES CXX)
+project(plog VERSION 1.1.11 LANGUAGES CXX)
 
 # check if building as a stand-alone project
 if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
