=== samples/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-cmake_minimum_required(VERSION 3.0)
+if(${CMAKE_VERSION} VERSION_LESS 3.27.0)
+    cmake_minimum_required(VERSION 3.0)
+else()
+    cmake_minimum_required(VERSION 3.27)
+endif()
 
 if(POLICY CMP0063) #Honor visibility properties for all target types
     cmake_policy(SET CMP0063 NEW)
@@ -61,9 +65,11 @@
 add_subdirectory(DynamicAppender)
 add_subdirectory(EventLog)
 add_subdirectory(Facilities)
+add_subdirectory(FreeRTOS)
 add_subdirectory(Hello)
 add_subdirectory(HexDump)
 add_subdirectory(Library)
+add_subdirectory(MessagePrefix)
 add_subdirectory(MultiAppender)
 add_subdirectory(MultiInstance)
 add_subdirectory(NotShared)
