=== samples/AscDump/CMakeLists.txt ===
add_executable(AscDump Main.cpp)
target_link_libraries(AscDump plog)
set_target_properties(AscDump PROPERTIES FOLDER Samples)
