=== samples/CXX11/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
-if (NOT CMAKE_VERSION VERSION_LESS 3.3.0)
-    cmake_minimum_required(VERSION 3.3)
+if(NOT CMAKE_VERSION VERSION_LESS 3.3.0)
+    if(${CMAKE_VERSION} VERSION_LESS 3.27.0)
+        cmake_minimum_required(VERSION 3.3)
+    else()
+        cmake_minimum_required(VERSION 3.27)
+    endif()
 
     if(cxx_std_11 IN_LIST CMAKE_CXX_COMPILE_FEATURES)
         add_executable(CXX11 Main.cpp)
