=== samples/CXX17/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
-if (NOT CMAKE_VERSION VERSION_LESS 3.3.0)
-    cmake_minimum_required(VERSION 3.3)
+if(NOT CMAKE_VERSION VERSION_LESS 3.3.0)
+    if(${CMAKE_VERSION} VERSION_LESS 3.27.0)
+        cmake_minimum_required(VERSION 3.3)
+    else()
+        cmake_minimum_required(VERSION 3.27)
+    endif()
 
     # Unfortunately cxx_std_17 in CMAKE_CXX_COMPILE_FEATURES is not reliable, so check include files
     include(CheckIncludeFileCXX)
