=== debian/changelog ===
plog (1.1.11-1) unstable; urgency=low

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 19 Aug 2025 10:14:27 +0200
