=== debian/control ===
Source: plog
Section: libdevel
Priority: optional
Maintainer: Sébastien Noel <sebastien@twolife.be>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.7.1
Homepage: https://github.com/SergiusTheBest/plog
Vcs-Browser: https://salsa.debian.org/debian/plog
Vcs-Git: https://salsa.debian.org/debian/plog.git

Package: libplog-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: C++ header-only logging library
 Plog is a C++ logging library that is designed to be as simple,
 small and flexible as possible. It is created as an alternative
 to existing large libraries and provides some unique features as
 CSV log format and wide string support.
