=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DPLOG_BUILD_TESTS=ON -DPLOG_BUILD_SAMPLES=FALSE
