=== debian/tests/control ===
Tests: cmake
Depends: @, cmake

Tests: libplog-dev
Depends: @, build-essential
Restrictions: allow-stderr
